Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.themoviedb.org/3/tv/1399/season/1/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/1399/season/1/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/1399/season/1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3624,
"results": [
{
"id": "5ce71a920e0a265ac0cfe497",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "e0Y8KpQpW8c",
"name": "Game Of Thrones - Season 1 Recap - Official HBO UK",
"official": true,
"published_at": "2015-05-19T16:31:23.000Z",
"site": "YouTube",
"size": 1080,
"type": "Recap"
},
{
"id": "534921db0e0a266b3f0013bb",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "9cqABojhqr4",
"name": "Game of Thrones: Pledge Your Allegiance - House Stark (HBO)",
"official": true,
"published_at": "2012-03-19T20:01:10.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "53492a180e0a266b3f001446",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "oEjgO10dzdQ",
"name": "Game of Thrones: Moments Tease - Daenerys Targaryen and Khal Drogo (HBO)",
"official": true,
"published_at": "2011-04-18T20:12:25.000Z",
"site": "YouTube",
"size": 720,
"type": "Teaser"
},
{
"id": "5349239c0e0a266b470013c2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "6t-Z4OxLCSY",
"name": "Game Of Thrones: Moments Tease - Ned and Catelyn Stark (HBO)",
"official": true,
"published_at": "2011-04-18T20:12:09.000Z",
"site": "YouTube",
"size": 720,
"type": "Teaser"
},
{
"id": "5349289e0e0a266b430013ee",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "H2QOBDGuesw",
"name": "Game Of Thrones: Character Feature - Cersei Lannister (HBO)",
"official": true,
"published_at": "2011-03-29T14:45:07.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534931980e0a266b310014c3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "WdGntO7vi0w",
"name": "Game of Thrones: Character Feature - King Robert Baratheon (HBO)",
"official": true,
"published_at": "2011-03-29T14:43:46.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534923550e0a266b3b00137e",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "xkgNP60rPMs",
"name": "Game Of Thrones: Character Feature - Ned Stark (HBO)",
"official": true,
"published_at": "2011-03-29T14:42:50.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "53492a7d0e0a266b47001440",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "otmIEFQrCHA",
"name": "Game Of Thrones: Character Feature - Daenerys Targaryen (HBO)",
"official": true,
"published_at": "2011-03-29T14:41:17.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "53492aaa0e0a266b3b001417",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "pf0EDfgi2Uo",
"name": "Game Of Thrones: Character Feature - Viserys Targaryen (HBO)",
"official": true,
"published_at": "2011-03-18T23:28:51.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "5349232b0e0a266b310013d3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "asJaqshya8s",
"name": "Game Of Thrones: Character Feature - Bran Stark (HBO)",
"official": true,
"published_at": "2011-03-18T23:16:50.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534923030e0a266b4300139d",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "5FoXU1pNr7g",
"name": "Game Of Thrones: Character Feature - Arya Stark (HBO)",
"official": true,
"published_at": "2011-03-18T23:07:22.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534922d30e0a266b4a0014ee",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "JLF5afwjvQQ",
"name": "Game Of Thrones: Character Feature - Robb Stark (HBO)",
"official": true,
"published_at": "2011-03-18T23:02:22.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534922b00e0a266b4a0014e9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "5H7Q3SZ2kec",
"name": "Game of Thrones: Character Feature - Catelyn Stark (HBO)",
"official": true,
"published_at": "2011-03-18T22:53:18.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534928e90e0a266b430013f2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "13agX-f4MrU",
"name": "Game Of Thrones: Character Feature - Jaime Lannister (HBO)",
"official": true,
"published_at": "2011-03-18T22:30:20.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534929160e0a266b3b0013e6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "g7ZSQRDUroo",
"name": "Game Of Thrones: Character Feature - Tyrion Lannister (HBO)",
"official": true,
"published_at": "2011-03-18T22:28:01.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "5c9b7e95c3a36841a341b9c6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "BpJYNVhGf1s",
"name": "Game Of Thrones \"The Game Begins\" Preview (HBO)",
"official": true,
"published_at": "2011-03-04T04:21:14.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
}
]
}Get the videos that belong to a TV season.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
New Request
3624
Show child attributes
[
{
"id": "5ce71a920e0a265ac0cfe497",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "e0Y8KpQpW8c",
"name": "Game Of Thrones - Season 1 Recap - Official HBO UK",
"official": true,
"published_at": "2015-05-19T16:31:23.000Z",
"site": "YouTube",
"size": 1080,
"type": "Recap"
},
{
"id": "534921db0e0a266b3f0013bb",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "9cqABojhqr4",
"name": "Game of Thrones: Pledge Your Allegiance - House Stark (HBO)",
"official": true,
"published_at": "2012-03-19T20:01:10.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "53492a180e0a266b3f001446",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "oEjgO10dzdQ",
"name": "Game of Thrones: Moments Tease - Daenerys Targaryen and Khal Drogo (HBO)",
"official": true,
"published_at": "2011-04-18T20:12:25.000Z",
"site": "YouTube",
"size": 720,
"type": "Teaser"
},
{
"id": "5349239c0e0a266b470013c2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "6t-Z4OxLCSY",
"name": "Game Of Thrones: Moments Tease - Ned and Catelyn Stark (HBO)",
"official": true,
"published_at": "2011-04-18T20:12:09.000Z",
"site": "YouTube",
"size": 720,
"type": "Teaser"
},
{
"id": "5349289e0e0a266b430013ee",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "H2QOBDGuesw",
"name": "Game Of Thrones: Character Feature - Cersei Lannister (HBO)",
"official": true,
"published_at": "2011-03-29T14:45:07.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534931980e0a266b310014c3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "WdGntO7vi0w",
"name": "Game of Thrones: Character Feature - King Robert Baratheon (HBO)",
"official": true,
"published_at": "2011-03-29T14:43:46.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534923550e0a266b3b00137e",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "xkgNP60rPMs",
"name": "Game Of Thrones: Character Feature - Ned Stark (HBO)",
"official": true,
"published_at": "2011-03-29T14:42:50.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "53492a7d0e0a266b47001440",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "otmIEFQrCHA",
"name": "Game Of Thrones: Character Feature - Daenerys Targaryen (HBO)",
"official": true,
"published_at": "2011-03-29T14:41:17.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "53492aaa0e0a266b3b001417",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "pf0EDfgi2Uo",
"name": "Game Of Thrones: Character Feature - Viserys Targaryen (HBO)",
"official": true,
"published_at": "2011-03-18T23:28:51.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "5349232b0e0a266b310013d3",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "asJaqshya8s",
"name": "Game Of Thrones: Character Feature - Bran Stark (HBO)",
"official": true,
"published_at": "2011-03-18T23:16:50.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534923030e0a266b4300139d",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "5FoXU1pNr7g",
"name": "Game Of Thrones: Character Feature - Arya Stark (HBO)",
"official": true,
"published_at": "2011-03-18T23:07:22.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534922d30e0a266b4a0014ee",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "JLF5afwjvQQ",
"name": "Game Of Thrones: Character Feature - Robb Stark (HBO)",
"official": true,
"published_at": "2011-03-18T23:02:22.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534922b00e0a266b4a0014e9",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "5H7Q3SZ2kec",
"name": "Game of Thrones: Character Feature - Catelyn Stark (HBO)",
"official": true,
"published_at": "2011-03-18T22:53:18.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534928e90e0a266b430013f2",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "13agX-f4MrU",
"name": "Game Of Thrones: Character Feature - Jaime Lannister (HBO)",
"official": true,
"published_at": "2011-03-18T22:30:20.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "534929160e0a266b3b0013e6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "g7ZSQRDUroo",
"name": "Game Of Thrones: Character Feature - Tyrion Lannister (HBO)",
"official": true,
"published_at": "2011-03-18T22:28:01.000Z",
"site": "YouTube",
"size": 720,
"type": "Featurette"
},
{
"id": "5c9b7e95c3a36841a341b9c6",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "BpJYNVhGf1s",
"name": "Game Of Thrones \"The Game Begins\" Preview (HBO)",
"official": true,
"published_at": "2011-03-04T04:21:14.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
}
]